#
# spec file for package gnome-calendar
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           gnome-calendar
Version:        3.16.0
Release:        0
License:        GPL-2.0+
Summary:        A calendar application for GNOME
Url:            https://wiki.gnome.org/Design/Apps/Calendar
Group:          Productivity/Office/Organizers
Source:         http://download.gnome.org/sources/gnome-calendar/3.16/%{name}-%{version}.tar.xz
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig(gmodule-export-2.0)
BuildRequires:  pkgconfig(gio-2.0) >= 2.43.2
BuildRequires:  pkgconfig(glib-2.0) >= 2.43.2
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires:  pkgconfig(libecal-1.2) >= 3.5.3
BuildRequires:  pkgconfig(libedataserver-1.2) >= 3.5.3
BuildRequires:  pkgconfig(libical) >= 0.43
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Calendar is a calendar application for GNOME.

%package -n gnome-shell-search-provider-gnome-calendar
Summary:        GNOME Calendar -- Search Provider for GNOME Shell
Group:          Productivity/Office/Organizers
Supplements:    packageand(gnome-shell:%{name})
Requires:       %{name} = %{version}

%description -n gnome-shell-search-provider-gnome-calendar
This package contains a search provider to enable GNOME Shell to get
search results from GNOME Calendar.

%lang_package
%prep
%setup -q

%build
%configure --disable-static
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot} %{?_smp_mflags}

%find_lang %{name} %{?no_lang_C}

%post
%icon_theme_cache_post
%desktop_database_post
%glib2_gsettings_schema_post

%postun
%icon_theme_cache_postun
%desktop_database_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README COPYING NEWS THANKS
%{_bindir}/gnome-calendar
%{_datadir}/applications/org.gnome.Calendar.desktop
%{_datadir}/appdata/org.gnome.Calendar.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Calendar.service
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.calendar.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*.png

%files -n gnome-shell-search-provider-gnome-calendar
%defattr(-,root,root)
%dir %{_datadir}/gnome-shell
%dir %{_datadir}/gnome-shell/search-providers
%{_datadir}/gnome-shell/search-providers/org.gnome.Calendar.search-provider.ini

%files lang -f %name.lang

%changelog
